/*
 * LShellCut.cpp
 *
 *  Created on: 14-jan-2010
 *      Author: S. Ricciarini
 */

/*! @file LShellCut.cpp The LShellCut class implementation file */

#include "LShellCut.h"

int LShellCut::Check(PamLevel2 *event) {

  if (event->GetOrbitalInfo()->L <= _LShellMin) {
    if (_LShellMax > 0.) { // Check also the upper limit
      if (event->GetOrbitalInfo()->L >= _LShellMax)
        return 0;
    }
    else
      return 0;
  }

  return CUTOK;

}
